[Pypgsql-users] Re: Does anyone use SuSE 8.2

Gerhard Häring gh at ghaering.de
Wed Jun 4 17:14:52 CEST 2003


[Still cc-ing to pypgsql-users so that this is documented in the right 
place]

John Fabiani wrote:
> The output from ldd is as follows:
>         libpq.so.2 => not found
>         libc.so.6 => /lib/libc.so.6 (0x40027000)
>         /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)
> The output from ls is as follows:
> lrwxrwxrwx    1 root     root           12 2003-05-29 09:22
> /usr/lib/libpq.so.3 -> libpq.so.3.0
> -rwxr-xr-x    1 root     root        96044 2003-03-17 07:57
> /usr/lib/libpq.so.3.0

You can try to create the appropriate symlink:

ln -s /usr/lib/libpq.so.3.0 /usr/lib/libpq.so.2

but I'm not sure this really works.

I'd recommend to compile from sources instead.

> It appears I have the wrong libraries - right?

Yes.

> So (I'm guessing) how do I compile the source?
> 
> I noticed that the tar file has setup.py (but that does not work).

Sorry, but "Does not work" is a much too incomplete description of the 
problem.

> You'll have to walk through this process.

First you need to have the appropriate packages installed. I reckon gcc 
and postgresql-devel should be enough.

If you still have problems building, please post the complete output of 
"python setup.py build".

ciao,

-- Gerhard






More information about the Python-list mailing list